#ifndef __HAL_ADC_H__
#define __HAL_ADC_H__

#include "hc32_ll_clk.h" 
#include "hc32_ll_aos.h"
#include "hc32_ll_fcg.h"
#include "hc32_ll_gpio.h"
#include "hc32_ll_adc.h"
#include "hc32_ll_dma.h"
#include "hc32_ll_aos.h" 
#include "hc32_ll_interrupts.h" 


#define ADC_TIMEOUT_VAL                 (1000U)
void adc_init(void);
uint16_t get_adc_value(uint8_t ch);

#endif